package org.jeecg.modules.teambuyCashoutLog.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 提现记录表
 * @Author: jeecg-boot
 * @Date:   2025-06-12
 * @Version: V1.0
 */
@Data
@TableName("teambuy_cashout_log")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="teambuy_cashout_log对象", description="提现记录表")
public class TeambuyCashoutLog implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**提现者姓名*/
	@Excel(name = "提现者姓名", width = 15)
    @ApiModelProperty(value = "提现者姓名")
    private java.lang.String realName;
	/**提现金额*/
	@Excel(name = "提现金额", width = 15)
    @ApiModelProperty(value = "提现金额")
    private java.math.BigDecimal amount;
	/**到账时间*/
	@Excel(name = "到账时间", width = 15)
    @ApiModelProperty(value = "到账时间")
    private java.util.Date paymentTime;
	/**提现状态*/
	@Excel(name = "提现状态", width = 15)
    @ApiModelProperty(value = "提现状态")
    private java.lang.String status;
	/**商户单号*/
	@Excel(name = "商户单号", width = 15)
    @ApiModelProperty(value = "商户单号")
    private java.lang.String outBillNo;
	/**微信转账单号*/
	@Excel(name = "微信转账单号", width = 15)
    @ApiModelProperty(value = "微信转账单号")
    private java.lang.String transferBillNo;
	/**领取转账信息参数*/
	@Excel(name = "领取转账信息参数", width = 15)
    @ApiModelProperty(value = "领取转账信息参数")
    private java.lang.String packageInfo;
	/**关联用户id*/
	@Excel(name = "关联用户id", width = 15)
    @ApiModelProperty(value = "关联用户id")
    private java.lang.String userId;
}
