package org.jeecg.modules.apiService;

import io.swagger.annotations.ApiOperation;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;
import org.jeecg.modules.teambuyBalanceLog.entity.TeambuyBalanceLog;
import org.jeecg.modules.teambuyCash.entity.TeambuyCash;
import org.jeecg.modules.teambuyTeamLeader.entity.TeambuyTeamLeader;
import org.springframework.web.bind.annotation.*;

import java.math.BigDecimal;

public interface AmountService {
    //提现记录列表
    public Result<?> queryCashoutLog(String token, PageBean pageBean);
    //提现
    public Result<?> cashOut(String token, String userName, BigDecimal transferAmount);

    //领取提现金额
    public Result<?> getMoney(String token, String id);

    //充值
    public Result<?> cashIn(String token, TeambuyCash teambuyCash);

    //收支明细
    public Result<?> queryAmountLog(String token, TeambuyBalanceLog balanceLog, PageBean pageBean);

    //充值回调
    Object CashNotify(String requestBody);

    //提现回调
    @PostMapping("/cashoutNotify")
    public Object cashoutNotify(@RequestHeader("Wechatpay-Signature") String signature,
                                @RequestHeader("Wechatpay-Timestamp") String timestamp,
                                @RequestHeader("Wechatpay-Nonce") String nonce,
                                @RequestHeader("Wechatpay-Serial") String serial,
                                @RequestBody String requestBody);
}
